org.eclipse.incquery.runtime.matchers.util

## Class UnionFind<T>

- java.lang.Object
- - org.eclipse.incquery.runtime.matchers.util.UnionFind<T>

- All Implemented Interfaces:
    java.util.Map<T,T>

  Deprecated.
  Use `UnionFind` instead.

      public class UnionFind<T>
      extends java.lang.Object
      implements java.util.Map<T,T>

  Author:
    Gabor Bergmann

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `java.util.Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnionFind()` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()` Deprecated.
    `boolean` | `containsKey(java.lang.Object key)` Deprecated.
    `boolean` | `containsValue(java.lang.Object value)` Deprecated.
    `java.util.Set<java.util.Map.Entry<T,T>>` | `entrySet()` Deprecated.
    `T` | `find(T x)` Deprecated.
    `T` | `get(java.lang.Object key)` Deprecated.
    `boolean` | `isEmpty()` Deprecated.
    `boolean` | `isRoot(T x)` Deprecated.
    `java.util.Set<T>` | `keySet()` Deprecated.
    `T` | `put(T key, T value)` Deprecated.
    `void` | `putAll(java.util.Map<? extends T,? extends T> m)` Deprecated.
    `T` | `remove(java.lang.Object key)` Deprecated.
    `int` | `size()` Deprecated.
    `void` | `unite(T a, T b)` Deprecated.
    `java.util.Collection<T>` | `values()` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `compute, computeIfAbsent, computeIfPresent, equals, forEach, getOrDefault, hashCode, merge, putIfAbsent, remove, replace, replace, replaceAll`

- - ### Constructor Detail

    - #### UnionFind

          public UnionFind()

      Deprecated.

  - ### Method Detail

    - #### find

          public T find(T x)

      Deprecated.

    - #### isRoot

          public boolean isRoot(T x)

      Deprecated.

    - #### unite

          public void unite(T a,
                            T b)

      Deprecated.

    - #### clear

          public void clear()

      Deprecated.
      Specified by:
        `clear` in interface `java.util.Map<T,T>`

    - #### get

          public T get(java.lang.Object key)

      Deprecated.
      Specified by:
        `get` in interface `java.util.Map<T,T>`

    - #### containsKey

          public boolean containsKey(java.lang.Object key)

      Deprecated.
      Specified by:
        `containsKey` in interface `java.util.Map<T,T>`

    - #### containsValue

          public boolean containsValue(java.lang.Object value)

      Deprecated.
      Specified by:
        `containsValue` in interface `java.util.Map<T,T>`

    - #### entrySet

          public java.util.Set<java.util.Map.Entry<T,T>> entrySet()

      Deprecated.
      Specified by:
        `entrySet` in interface `java.util.Map<T,T>`

    - #### isEmpty

          public boolean isEmpty()

      Deprecated.
      Specified by:
        `isEmpty` in interface `java.util.Map<T,T>`

    - #### keySet

          public java.util.Set<T> keySet()

      Deprecated.
      Specified by:
        `keySet` in interface `java.util.Map<T,T>`

    - #### put

          public T put(T key,
                       T value)

      Deprecated.
      Specified by:
        `put` in interface `java.util.Map<T,T>`

    - #### putAll

          public void putAll(java.util.Map<? extends T,? extends T> m)

      Deprecated.
      Specified by:
        `putAll` in interface `java.util.Map<T,T>`

    - #### remove

          public T remove(java.lang.Object key)

      Deprecated.
      Specified by:
        `remove` in interface `java.util.Map<T,T>`

    - #### size

          public int size()

      Deprecated.
      Specified by:
        `size` in interface `java.util.Map<T,T>`

    - #### values

          public java.util.Collection<T> values()

      Deprecated.
      Specified by:
        `values` in interface `java.util.Map<T,T>`